PooledConnectionMBean (Apache Tomcat 11.0.23 API Documentation)
Description: declaration: package: org.apache.tomcat.jdbc.pool, interface: PooledConnectionMBean

# Interface PooledConnectionMBean

All Known Implementing Classes:
  `PooledConnection`

public interface PooledConnectionMBean
JMX MBean interface for monitoring pooled connections.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clearWarnings()`
  Clears any warnings reported on this connection.
  `boolean`
  `getAutoCommit()`
  Returns the current auto-commit mode.
  `String`
  `getCatalog()`
  Returns the current catalog name.
  `long`
  `getConnectionVersion()`
  Returns the connection version.
  `int`
  `getHoldability()`
  Returns the current holdability for ResultSet objects.
  `long`
  `getLastConnected()`
  Returns the timestamp of the last successful connection.
  `long`
  `getLastValidated()`
  Returns the timestamp of the last successful validation.
  `String`
  `getSchema()`
  Returns the current schema name.
  `long`
  `getTimestamp()`
  Returns the timestamp of the last pool action.
  `int`
  `getTransactionIsolation()`
  Returns the current transaction isolation level.
  `boolean`
  `isClosed()`
  Returns true if the connection has been closed.
  `boolean`
  `isDiscarded()`
  Returns true if the connection has been discarded.
  `boolean`
  `isInitialized()`
  Returns true if the connection has been initialized.
  `boolean`
  `isMaxAgeExpired()`
  Returns true if the connection has exceeded its maximum age.
  `boolean`
  `isReadOnly()`
  Returns true if the connection is in read-only mode.
  `boolean`
  `isReleased()`
  Returns true if the connection has been released.
  `boolean`
  `isSuspect()`
  Returns true if the connection is suspected to be invalid.

- ## Method Details

  - ### getConnectionVersion

    long getConnectionVersion()
    Returns the connection version.
    Returns:
      the connection version

  - ### isInitialized

    boolean isInitialized()
    Returns true if the connection has been initialized.
    Returns:
      true if initialized

  - ### isMaxAgeExpired

    boolean isMaxAgeExpired()
    Returns true if the connection has exceeded its maximum age.
    Returns:
      true if max age expired

  - ### isSuspect

    boolean isSuspect()
    Returns true if the connection is suspected to be invalid.
    Returns:
      true if suspect

  - ### getTimestamp

    long getTimestamp()
    Returns the timestamp of the last pool action.
    Returns:
      the timestamp

  - ### isDiscarded

    boolean isDiscarded()
    Returns true if the connection has been discarded.
    Returns:
      true if discarded

  - ### getLastValidated

    long getLastValidated()
    Returns the timestamp of the last successful validation.
    Returns:
      the last validated timestamp

  - ### getLastConnected

    long getLastConnected()
    Returns the timestamp of the last successful connection.
    Returns:
      the last connected timestamp

  - ### isReleased

    boolean isReleased()
    Returns true if the connection has been released.
    Returns:
      true if released

  - ### clearWarnings

    void clearWarnings()
    Clears any warnings reported on this connection.

  - ### isClosed

    boolean isClosed() throws SQLException
    Returns true if the connection has been closed.
    Returns:
      true if closed
    Throws:
      `SQLException` - if a database access error occurs

  - ### getAutoCommit

    boolean getAutoCommit() throws SQLException
    Returns the current auto-commit mode.
    Returns:
      the auto-commit mode
    Throws:
      `SQLException` - if a database access error occurs

  - ### getCatalog

    String getCatalog() throws SQLException
    Returns the current catalog name.
    Returns:
      the catalog name
    Throws:
      `SQLException` - if a database access error occurs

  - ### getHoldability

    int getHoldability() throws SQLException
    Returns the current holdability for ResultSet objects.
    Returns:
      the holdability
    Throws:
      `SQLException` - if a database access error occurs

  - ### isReadOnly

    boolean isReadOnly() throws SQLException
    Returns true if the connection is in read-only mode.
    Returns:
      true if read-only
    Throws:
      `SQLException` - if a database access error occurs

  - ### getSchema

    String getSchema() throws SQLException
    Returns the current schema name.
    Returns:
      the schema name
    Throws:
      `SQLException` - if a database access error occurs

  - ### getTransactionIsolation

    int getTransactionIsolation() throws SQLException
    Returns the current transaction isolation level.
    Returns:
      the transaction isolation level
    Throws:
      `SQLException` - if a database access error occurs